## textual 0.1.13

=== Makefile ===
test:
	pytest --cov-report term-missing --cov=textual tests/ -vv
typecheck:
	mypy src/textual
format:
	black src
format-check:
	black --check .

## textual 0.1.11

=== debian/changelog ===
textual (0.1.11-1) unstable; urgency=low

  * Initial release; Closes: #995426

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Dec 2021 23:14:20 -0500

=== debian/control ===
Source: textual
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python-pep517,
               python3-all,
               python3-poetry,
               python3-pytest (>= 6.2.3) <!nocheck>,
               python3-rich (>= 10.7.0) <!nocheck>,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/willmcgugan/textual
Vcs-Git: https://salsa.debian.org/python-team/packages/textual.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/textual

Package: python3-textual
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: TUI (Text User Interface) framework for Python inspired by modern web development
 Textual uses Rich to render rich text, so anything that Rich can render may be
 used in Textual.
 .
 Event handling in Textual is asynchronous (using async and await keywords).
 Widgets (UI components) can independently update and communicate with each
 other via message passing.
 .
 Textual has more in common with modern web development than it does with
 curses; layout is done with CSS grid and (soon) the theme may be customized
 with CSS. Other techniques are borrowed from JS frameworks such as Vue and
 React.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=textual
%:
	dh $@ --with python3 --buildsystem=pybuild

## textual 0.1.13

=== debian/changelog ===
textual (0.1.13-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Jan 2022 22:13:46 -0500

textual (0.1.11-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Dec 2021 16:07:10 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python-pep517,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-poetry,
                python3-pytest (>= 6.2.3) <!nocheck>,

## textual 0.47.1

=== debian/changelog ===
textual (0.47.1-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 03:50:57 -0500

textual (0.47.1-1) unstable; urgency=medium

  * New upstream release; Closes: #1055032
  * debian/control
    - add click, jinja2, linkify-it, pytest-asyncio, syrupy, typing-extensions
      to b-d, needed by tests
    - bump Standards-Version to 4.6.2 (no changes needed)
  * debian/pybuild.testfiles
    - copy tests and doc directories while running tests
  * debian/rules
    - skip tests depending on un-available packages or for failing for minor
      incompatibilities with rich in debian
  * run autopkgtests via pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Jan 2024 04:24:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
+               python3-click <!nocheck>,
+               python3-jinja2 <!nocheck>,
+               python3-linkify-it <!nocheck>,
                python3-poetry,
                python3-pytest (>= 6.2.3) <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-rich (>= 10.7.0) <!nocheck>,
-Standards-Version: 4.6.0.1
-Testsuite: autopkgtest-pkg-python
+               python3-syrupy <!nocheck>,
+               python3-typing-extensions <!nocheck>,
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/willmcgugan/textual
-Vcs-Git: https://salsa.debian.org/python-team/packages/textual.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/textual
+Vcs-Git: https://salsa.debian.org/morph/textual.git
+Vcs-Browser: https://salsa.debian.org/morph/textual
 
 Package: python3-textual
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=textual

# - tests/test_features.py - requires https://github.com/Textualize/textual-dev which we probably dont want to package anyway
# - tests/command_palette/* - rich compatibility
# - tests/snapshot_tests/ - requires https://github.com/Textualize/pytest-textual-snapshot, still to be packaged
# - individual skip tests - rick compatibility
# - test_register_language - requires https://pypi.org/project/tree-sitter-languages/, still to be packaged
export PYBUILD_TEST_ARGS = -x -vvv \
	--ignore=tests/test_features.py \
	--ignore=tests/command_palette \
	--ignore=tests/snapshot_tests \
	-k "not test_footer_highlight_when_pushing_modal \
	and not test_softbreak_split_links_rendered_correctly \
	and not test_headings_that_look_like_they_contain_markup \
	and not test_screen_stack_preserved \
	and not test_clicking_outside_command_palette_closes_it \
	and not test_command_source_environment \
	and not test_escape_closes_when_no_list_visible \
	and not test_register_language"

%:
	dh $@ --with python3 --buildsystem=pybuild

## textual 0.52.1

=== Makefile ===
run := poetry run

.PHONY: test
test:
	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv

.PHONY: unit-test
unit-test:
	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv -m "not integration_test"

.PHONY: test-snapshot-update
test-snapshot-update:
	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv --snapshot-update

.PHONY: coverage
coverage:
	$(run) coverage html

.PHONY: typecheck
typecheck:
	$(run) mypy src/textual

.PHONY: format
format:
	$(run) black src

.PHONY: format-check
format-check:
	$(run) black --check src

.PHONY: clean-screenshot-cache
clean-screenshot-cache:
	rm -rf .screenshot_cache

.PHONY: faq
faq:
	$(run) faqtory build

.PHONY: docs-offline-nav
docs-offline-nav:
	echo "INHERIT: mkdocs-offline.yml" > mkdocs-nav-offline.yml
	grep -v "\- \"*[Bb]log" mkdocs-nav.yml >> mkdocs-nav-offline.yml

.PHONY: docs-online-nav
docs-online-nav:
	echo "INHERIT: mkdocs-online.yml" > mkdocs-nav-online.yml
	cat mkdocs-nav.yml >> mkdocs-nav-online.yml

.PHONY: docs-serve
docs-serve: clean-screenshot-cache docs-online-nav
	$(run) mkdocs serve --config-file mkdocs-nav-online.yml
	rm -f mkdocs-nav-online.yml

.PHONY: docs-serve-offline
docs-serve-offline: clean-screenshot-cache docs-offline-nav
	$(run) mkdocs serve --config-file mkdocs-nav-offline.yml
	rm -f mkdocs-nav-offline.yml

.PHONY: docs-build
docs-build: docs-online-nav
	$(run) mkdocs build --config-file mkdocs-nav-online.yml
	rm -f mkdocs-nav-online.yml

.PHONY: docs-build-offline
docs-build-offline: docs-offline-nav
	$(run) mkdocs build --config-file mkdocs-nav-offline.yml
	rm -f mkdocs-nav-offline.yml

.PHONY: clean-offline-docs
clean-offline-docs:
	rm -rf docs-offline

.PHONY: docs-deploy
docs-deploy: clean-screenshot-cache docs-online-nav
	$(run) mkdocs gh-deploy --config-file mkdocs-nav-online.yml
	rm -f mkdocs-nav-online.yml

.PHONY: build
build: docs-build-offline
	poetry build

.PHONY: clean
clean: clean-screenshot-cache clean-offline-docs

.PHONY: setup
setup:
	poetry install
	poetry install --extras syntax

.PHONY: update
update:
	poetry update

.PHONY: install-pre-commit
install-pre-commit:
	$(run) pre-commit install

.PHONY: demo
demo:
	$(run) python -m textual

.PHONY: repl
repl:
	$(run) python

=== debian/changelog ===
textual (0.52.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - skip tests marked as 'syntax', they need tree-sitter which is not in
      debian

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Mar 2024 22:50:53 -0500

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 # - tests/snapshot_tests/ - requires https://github.com/Textualize/pytest-textual-snapshot, still to be packaged
 # - individual skip tests - rick compatibility
 # - test_register_language - requires https://pypi.org/project/tree-sitter-languages/, still to be packaged
+# - syntax mark: requires tree-sitter, not in debian; https://github.com/Textualize/textual/issues/4095#issuecomment-1921468004
 export PYBUILD_TEST_ARGS = -x -vvv \
+	-m "not syntax" \
 	--ignore=tests/test_features.py \
 	--ignore=tests/command_palette \
 	--ignore=tests/snapshot_tests \

## textual 1.0.0

=== debian/changelog ===
textual (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add pytest-xdist to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2024 02:57:17 -0500

## textual 2.1.1

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,19 @@
 
 .PHONY: test
 test:
-	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv
+	$(run) pytest tests/ -n 16 --dist=loadgroup $(ARGS)
 
-.PHONY: unit-test
-unit-test:
-	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv -m "not integration_test"
+.PHONY: testv
+testv:
+	$(run) pytest tests/ -vvv -n 16 --dist=loadgroup $(ARGS)
 
 .PHONY: test-snapshot-update
 test-snapshot-update:
-	$(run) pytest --cov-report term-missing --cov=textual tests/ -vv --snapshot-update
+	$(run) pytest tests/ --snapshot-update -n 16 --dist=loadgroup $(ARGS)
+
+.PHONY: test-coverage
+test-coverage:
+	$(run) pytest tests/ --cov-report term-missing --cov=textual -n 16 --dist=loadgroup $(ARGS)
 
 .PHONY: coverage
 coverage:

=== debian/changelog ===
textual (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - skip test_focus.py, incompatible with pytest-asyncio>=0.25.0;
      Closes: #1092410

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Feb 2025 23:40:31 -0500

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/willmcgugan/textual/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## textual 2.1.2

=== debian/changelog ===
textual (2.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Mar 2025 17:27:22 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-poetry,
                python3-pytest (>= 6.2.3) <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-rich (>= 10.7.0) <!nocheck>,
                python3-syrupy <!nocheck>,
                python3-typing-extensions <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=textual
 
 # - tests/test_features.py - requires https://github.com/Textualize/textual-dev which we probably dont want to package anyway
+$ - tests/test_focus.py - incompatible with pytest-asyncio>=0.25.0, https://github.com/Textualize/textual/issues/5511
 # - tests/command_palette/* - rich compatibility
 # - tests/snapshot_tests/ - requires https://github.com/Textualize/pytest-textual-snapshot, still to be packaged
 # - individual skip tests - rick compatibility
@@ -11,6 +12,7 @@
 export PYBUILD_TEST_ARGS = -x -vvv \
 	-m "not syntax" \
 	--ignore=tests/test_features.py \
+	--ignore=tests/test_focus.py \
 	--ignore=tests/command_palette \
 	--ignore=tests/snapshot_tests \
 	-k "not test_footer_highlight_when_pushing_modal \

## textual shell-0.6.0

=== requirements.txt ===
aiohappyeyeballs==2.4.4
aiohttp==3.11.11
aiohttp-jinja2==1.6
aiosignal==1.3.2
attrs==24.3.0
backports.tarfile==1.2.0
build==1.2.2.post1
certifi==2024.12.14
cffi==1.17.1
charset-normalizer==3.4.0
click==8.1.8
cryptography==44.0.0
docutils==0.21.2
frozenlist==1.5.0
idna==3.10
importlib_metadata==8.5.0
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
jeepney==0.8.0
Jinja2==3.1.5
keyring==25.5.0
linkify-it-py==2.0.3
markdown-it-py==3.0.0
MarkupSafe==3.0.2
mdit-py-plugins==0.4.2
mdurl==0.1.2
more-itertools==10.5.0
msgpack==1.1.0
multidict==6.1.0
nh3==0.2.20
numpy==2.2.1
packaging==24.2
pkginfo==1.12.0
platformdirs==4.3.6
propcache==0.2.1
pycparser==2.22
Pygments==2.18.0
pyproject_hooks==1.2.0
PyYAML==6.0.2
readme_renderer==44.0
requests==2.32.3
requests-toolbelt==1.0.0
rfc3986==2.0.0
rich==13.9.4
rustworkx==0.15.1
SecretStorage==3.3.3
six==1.17.0
textual==1.0.0
textual-dev==1.7.0
textual-serve==1.1.1
twine==6.0.1
typing_extensions==4.12.2
uc-micro-py==1.0.3
urllib3==2.3.0
yarl==1.18.3
zipp==3.21.0

## textual totp-0.9.6a3

=== Makefile ===
# SPDX-FileCopyrightText: 2023 Jeff Epler <jepler@gmail.com>
#
# SPDX-License-Identifier: MIT

.PHONY: mypy
mypy:
	uvx --with-requirements requirements-dev.txt -- mypy --strict

=== requirements.txt ===
# SPDX-FileCopyrightText: 2023 Jeff Epler
#
# SPDX-License-Identifier: MIT

click
platformdirs
pyotp
pyperclip
qrcode
textual >= 3.1.0
